Bug 1124616 - Pulp sync'ing should gracefully handle inability to resolve hostname
Summary: Pulp sync'ing should gracefully handle inability to resolve hostname
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Tazim Kolhar
URL:
Whiteboard:
Depends On: 1124625
Blocks: sat6-pulp-future
TreeView+ depends on / blocked
 
Reported: 2014-07-29 23:04 UTC by Eric Helms
Modified: 2018-09-19 15:23 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1124625 (view as bug list)
Environment:
Last Closed: 2015-08-12 13:58:40 UTC


Attachments (Terms of Use)
sync repo (64.78 KB, image/png)
2015-04-22 08:19 UTC, Tazim Kolhar
no flags Details


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 478 Low CLOSED - CURRENTRELEASE Pulp sync'ing should gracefully handle inability to resolve hostname Never

Description Eric Helms 2014-07-29 23:04:34 UTC
During a sync from a remote repository such as the CDN, if the hostname of the source is unable to be resolved, the sync task can become indefinitely stuck and unrecoverable. The scenario by which I encountered this:

For Sync'ing:
Import a manifest
Enable Jboss repository
Start sync of Jboss repository
Pull network cable from box (effectively removing ability to reach DNS servers)
Sync progress part sat as if progress was being made but never changed

I then replaced the network cable and ran a 'katello-service restart' at which point the last node hung at being stopped (same issue you saw). I terminated the service restart, killed the pulp workers with 'kill -9' and then was able to cleanly run 'katello-service' restart. At which point, I was able to re-run a sync successfully. Note for Pulp's sake, the 'katello-service restart' restarts all Pulp services including workers, resource managers and celery beat.

Comment 1 RHEL Product and Program Management 2014-07-29 23:13:32 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 7 Tazim Kolhar 2015-04-22 08:18:36 UTC
VERIFIED:

# rpm -qa | grep foreman
qe-sat6-rhel71.usersys.redhat.com-foreman-client-1.0-1.noarch
qe-sat6-rhel71.usersys.redhat.com-foreman-proxy-1.0-1.noarch
ruby193-rubygem-foreman_docker-1.2.0.7-1.el7sat.noarch
rubygem-hammer_cli_foreman_discovery-0.0.1.4-1.el7sat.noarch
ruby193-rubygem-foreman-redhat_access-0.1.0-1.el7sat.noarch
foreman-compute-1.7.2.15-1.el7sat.noarch
foreman-vmware-1.7.2.15-1.el7sat.noarch
ruby193-rubygem-foreman_discovery-2.0.0.9-1.el7sat.noarch
rubygem-hammer_cli_foreman_bootdisk-0.1.2.5-1.el7sat.noarch
ruby193-rubygem-foreman_gutterball-0.0.1.9-1.el7sat.noarch
foreman-1.7.2.15-1.el7sat.noarch
foreman-ovirt-1.7.2.15-1.el7sat.noarch
rubygem-hammer_cli_foreman-0.1.4.7-1.el7sat.noarch
foreman-proxy-1.7.2.4-1.el7sat.noarch
qe-sat6-rhel71.usersys.redhat.com-foreman-proxy-client-1.0-1.noarch
foreman-postgresql-1.7.2.15-1.el7sat.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el7sat.noarch
foreman-selinux-1.7.2.13-1.el7sat.noarch
foreman-gce-1.7.2.15-1.el7sat.noarch
ruby193-rubygem-foreman-tasks-0.6.12.3-1.el7sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3.3-1.el7sat.noarch
foreman-debug-1.7.2.15-1.el7sat.noarch
foreman-libvirt-1.7.2.15-1.el7sat.noarch
ruby193-rubygem-foreman_bootdisk-4.0.2.10-1.el7sat.noarch

steps:
For Sync'ing:
Import a manifest
Enable Jboss repository
Start sync of Jboss repository

screenshot attached

Comment 8 Tazim Kolhar 2015-04-22 08:19:33 UTC
Created attachment 1017301 [details]
sync repo

Comment 9 Tazim Kolhar 2015-04-23 08:51:48 UTC
# ifdown eth0
# restart the system

# katello-service restart
Shutting down Katello services...
Redirecting to /bin/systemctl stop  foreman-tasks.service
Redirecting to /bin/systemctl stop  httpd.service
Redirecting to /bin/systemctl stop  pulp_celerybeat.service
Redirecting to /bin/systemctl stop  pulp_workers.service
Redirecting to /bin/systemctl stop  pulp_resource_manager.service
Stopping elasticsearch (via systemctl):                    [  OK  ]
Redirecting to /bin/systemctl stop  mongod.service
Redirecting to /bin/systemctl stop  qpidd.service
Done.
Starting Katello services...
Redirecting to /bin/systemctl start  qpidd.service
Redirecting to /bin/systemctl start  mongod.service
Starting elasticsearch (via systemctl):                    [  OK  ]
Redirecting to /bin/systemctl start  pulp_resource_manager.service
Redirecting to /bin/systemctl start  pulp_workers.service
Redirecting to /bin/systemctl start  pulp_celerybeat.service
Redirecting to /bin/systemctl start  httpd.service
Redirecting to /bin/systemctl start  foreman-tasks.service
Done.

Continue with the sync process

Comment 10 Tazim Kolhar 2015-04-23 08:52:22 UTC
# ifdown eth0
# restart the system

# katello-service restart
Shutting down Katello services...
Redirecting to /bin/systemctl stop  foreman-tasks.service
Redirecting to /bin/systemctl stop  httpd.service
Redirecting to /bin/systemctl stop  pulp_celerybeat.service
Redirecting to /bin/systemctl stop  pulp_workers.service
Redirecting to /bin/systemctl stop  pulp_resource_manager.service
Stopping elasticsearch (via systemctl):                    [  OK  ]
Redirecting to /bin/systemctl stop  mongod.service
Redirecting to /bin/systemctl stop  qpidd.service
Done.
Starting Katello services...
Redirecting to /bin/systemctl start  qpidd.service
Redirecting to /bin/systemctl start  mongod.service
Starting elasticsearch (via systemctl):                    [  OK  ]
Redirecting to /bin/systemctl start  pulp_resource_manager.service
Redirecting to /bin/systemctl start  pulp_workers.service
Redirecting to /bin/systemctl start  pulp_celerybeat.service
Redirecting to /bin/systemctl start  httpd.service
Redirecting to /bin/systemctl start  foreman-tasks.service
Done.

Continue with the sync process
Sync process completes

Comment 11 pulp-infra@redhat.com 2015-04-23 16:40:30 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 12 Bryan Kearney 2015-08-11 13:33:12 UTC
This bug is slated to be released with Satellite 6.1.

Comment 13 Bryan Kearney 2015-08-12 13:58:40 UTC
This bug was fixed in version 6.1.1 of Satellite which was released on 12 August, 2015.


Note You need to log in before you can comment on or make changes to this bug.